de.stefan1200.jts3servermod.interfaces

## Interface ServerInfoCache_Interface

-     public interface ServerInfoCache_Interface

  Interface of the ServerInfoCache class, which allows you to access the ServerInfoCache methods.
  The author of the JTS3ServerMod is not responsible for any damage or data loss!
  E-Mail:
  info@stefan1200.de
  Homepage:
  http://www.stefan1200.de
  Author:
    Stefan Martens

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getServerChannelCount()` Returns the current channel count of the connected server!
    `long` | `getServerClientConnectionsCount()` Returns the client connection count of the connected server!
    `int` | `getServerClientCount()` Returns the current client count of the connected server!
    `int` | `getServerClientDBCount()` Returns the total client count from TS3 server database!
    `long` | `getServerCreatedAt()` Returns the server creation timestamp of the connected server!
    `int` | `getServerDefaultChannelAdminGroup()` Returns the default channel admin group id of the connected server!
    `int` | `getServerDefaultChannelGroup()` Returns the default guest channel group id of the connected server!
    `int` | `getServerDefaultServerGroup()` Returns the default guest server group id of the connected server!
    `long` | `getServerDownloadQuota()` Returns the download quota of the connected server!
    `int` | `getServerMaxClients()` Returns the current max clients count of the connected server!
    `long` | `getServerMaxDownloadTotalBandwidth()` Returns the max download total bandwidth value of the connected server!
    `long` | `getServerMaxUploadTotalBandwidth()` Returns the max upload total bandwidth value of the connected server!
    `long` | `getServerMinClientVersion()` Returns the min client version timestamp of the connected server!
    `long` | `getServerMonthBytesDownloaded()` Returns the current total bytes downloaded value of the connected server for the month!
    `long` | `getServerMonthBytesUploaded()` Returns the current total bytes uploaded value of the connected server for the month!
    `String` | `getServerName()` Returns the current server name of the connected server!
    `String` | `getServerPlatform()` Returns the current Teamspeak 3 server platform of the connected server!
    `int` | `getServerReservedSlots()` Returns the current reserved slots count of the connected server!
    `long` | `getServerTotalBytesDownloaded()` Returns the current total bytes downloaded value of the connected server!
    `long` | `getServerTotalBytesUploaded()` Returns the current total bytes uploaded value of the connected server!
    `long` | `getServerUploadQuota()` Returns the upload quota of the connected server!
    `long` | `getServerUptime()` Returns the current server uptime of the connected server!
    `long` | `getServerUptimeTimestamp()` Returns the server uptime timestamp of the connected server!
    `String` | `getServerVersion()` Returns the current Teamspeak 3 server version of the connected server!

- - ### Method Detail

    - #### getServerChannelCount

          int getServerChannelCount()

      Returns the current channel count of the connected server!
      Notice:
      This will be updated every 60 seconds only.
      Returns:
        The current channel count.

    - #### getServerClientConnectionsCount

          long getServerClientConnectionsCount()

      Returns the client connection count of the connected server!
      Notice:
      This will be updated every 60 seconds only.
      Returns:
        The client connection count.

    - #### getServerClientCount

          int getServerClientCount()

      Returns the current client count of the connected server!
      Notice:
      This will be updated every 60 seconds only.
      Returns:
        The current client count without query clients.

    - #### getServerClientDBCount

          int getServerClientDBCount()

      Returns the total client count from TS3 server database!
      Returns:
        Client count
      Since:
        5.5

    - #### getServerCreatedAt

          long getServerCreatedAt()

      Returns the server creation timestamp of the connected server!
      Returns:
        Timestamp in milliseconds where the current server was created.

    - #### getServerDefaultChannelAdminGroup

          int getServerDefaultChannelAdminGroup()

      Returns the default channel admin group id of the connected server!
      Notice:
      This will be updated every 60 seconds only.
      Returns:
        Default channel admin group id
      Since:
        5.3

    - #### getServerDefaultChannelGroup

          int getServerDefaultChannelGroup()

      Returns the default guest channel group id of the connected server!
      Notice:
      This will be updated every 60 seconds only.
      Returns:
        Default guest channel group id
      Since:
        5.3

    - #### getServerDefaultServerGroup

          int getServerDefaultServerGroup()

      Returns the default guest server group id of the connected server!
      Notice:
      This will be updated every 60 seconds only.
      Returns:
        Default guest server group id
      Since:
        5.3

    - #### getServerDownloadQuota

          long getServerDownloadQuota()

      Returns the download quota of the connected server!
      Notice:
      This will be updated every 60 seconds only.
      Returns:
        download quota value or -1 if set to unlimited or an invalid value was returned.

    - #### getServerMaxClients

          int getServerMaxClients()

      Returns the current max clients count of the connected server!
      Notice:
      This will be updated every 60 seconds only.
      Returns:
        The current max clients count.

    - #### getServerMaxDownloadTotalBandwidth

          long getServerMaxDownloadTotalBandwidth()

      Returns the max download total bandwidth value of the connected server!
      Notice:
      This will be updated every 60 seconds only.
      Returns:
        max download total bandwidth value or -1 if set to unlimited or an invalid value was returned.
      Since:
        5.3

    - #### getServerMaxUploadTotalBandwidth

          long getServerMaxUploadTotalBandwidth()

      Returns the max upload total bandwidth value of the connected server!
      Notice:
      This will be updated every 60 seconds only.
      Returns:
        max upload total bandwidth value or -1 if set to unlimited or an invalid value was returned.
      Since:
        5.3

    - #### getServerMinClientVersion

          long getServerMinClientVersion()

      Returns the min client version timestamp of the connected server!
      Notice:
      This will be updated every 60 seconds only.
      Returns:
        TS3 timestamp
      Since:
        5.3

    - #### getServerMonthBytesDownloaded

          long getServerMonthBytesDownloaded()

      Returns the current total bytes downloaded value of the connected server for the month!
      Notice:
      This will be updated every 60 seconds only.
      Returns:
        The current total bytes downloaded value for the month.

    - #### getServerMonthBytesUploaded

          long getServerMonthBytesUploaded()

      Returns the current total bytes uploaded value of the connected server for the month!
      Notice:
      This will be updated every 60 seconds only.
      Returns:
        The current total bytes uploaded value for the month.

    - #### getServerName

          String getServerName()

      Returns the current server name of the connected server!
      Notice:
      This will be updated every 60 seconds only.
      Returns:
        The current server name.

    - #### getServerPlatform

          String getServerPlatform()

      Returns the current Teamspeak 3 server platform of the connected server!
      Returns:
        The current server platform (e.g. Linux, Windows, Mac).

    - #### getServerReservedSlots

          int getServerReservedSlots()

      Returns the current reserved slots count of the connected server!
      Notice:
      This will be updated every 60 seconds only.
      Returns:
        The current reserved slots count.

    - #### getServerTotalBytesDownloaded

          long getServerTotalBytesDownloaded()

      Returns the current total bytes downloaded value of the connected server!
      Notice:
      This will be updated every 60 seconds only.
      Returns:
        The current total bytes downloaded value.

    - #### getServerTotalBytesUploaded

          long getServerTotalBytesUploaded()

      Returns the current total bytes uploaded value of the connected server!
      Notice:
      This will be updated every 60 seconds only.
      Returns:
        The current total bytes uploaded value.

    - #### getServerUploadQuota

          long getServerUploadQuota()

      Returns the upload quota of the connected server!
      Notice:
      This will be updated every 60 seconds only.
      Returns:
        upload quota value or -1 if set to unlimited or an invalid value was returned.

    - #### getServerUptime

          long getServerUptime()

      Returns the current server uptime of the connected server!
      Returns:
        Time in milliseconds where the current server was started.

    - #### getServerUptimeTimestamp

          long getServerUptimeTimestamp()

      Returns the server uptime timestamp of the connected server!
      Returns:
        Timestamp in milliseconds where the current server was started.

    - #### getServerVersion

          String getServerVersion()

      Returns the current Teamspeak 3 server version of the connected server!
      Returns:
        The current server version.